com.unitech.lib.uhf.types

## Enum Mask6cAction

- java.lang.Object
- - java.lang.Enum<Mask6cAction>
  - - com.unitech.lib.uhf.types.Mask6cAction

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<Mask6cAction>

      public enum Mask6cAction
      extends java.lang.Enum<Mask6cAction>
      implements IEnumType

  The Mask6cAction enumeration type indicates the status of the Flag when the RFID UHF module performs the Inventory operation and the pattern of the given Selection Mask is set as the Target value of the Selection Mask according to the condition.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AB` Matching is Inventoried A or Assert SL, Not-Matching is Inventoried B or Deassert SL.
    `AN` Matching is Inventoried A or Assert SL, Not-Matching is Do Nothing.
    `BA` Matching is Inventoried B or Deassert SL, Not-Matching is Inventoried A or Assert SL.
    `BN` Matching is Inventoried B or Deassert SL, Not-Matching is Do Nothing.
    `MN` Matching is Invert Session or Negate SL, Not-Matching is Do Nothing.
    `NA` Matching is Do Nothing, Not-Matching is Inventoried A or Assert SL.
    `NB` Matching is Do Nothing, Not-Matching is Inventoried B or Deassert SL.
    `NM` Matching is Do Nothing, Not-Matching is Invert Session or Negate SL.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()` Get the enum code value
    `static java.lang.String[]` | `names()` Returns an array containing the name of this enum type.
    `java.lang.String` | `toString()` Return the name of the enum
    `java.lang.String` | `toString(Mask6cTarget target)`
    `static Mask6cAction` | `valueOf(int code)` Returns the enum constant of this type with the specified code.
    `static Mask6cAction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Mask6cAction` | `valueOfName(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Mask6cAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AB

          public static final Mask6cAction AB

      Matching is Inventoried A or Assert SL, Not-Matching is Inventoried B or Deassert SL.

    - #### AN

          public static final Mask6cAction AN

      Matching is Inventoried A or Assert SL, Not-Matching is Do Nothing.

    - #### NB

          public static final Mask6cAction NB

      Matching is Do Nothing, Not-Matching is Inventoried B or Deassert SL.

    - #### MN

          public static final Mask6cAction MN

      Matching is Invert Session or Negate SL, Not-Matching is Do Nothing.

    - #### BA

          public static final Mask6cAction BA

      Matching is Inventoried B or Deassert SL, Not-Matching is Inventoried A or Assert SL.

    - #### BN

          public static final Mask6cAction BN

      Matching is Inventoried B or Deassert SL, Not-Matching is Do Nothing.

    - #### NA

          public static final Mask6cAction NA

      Matching is Do Nothing, Not-Matching is Inventoried A or Assert SL.

    - #### NM

          public static final Mask6cAction NM

      Matching is Do Nothing, Not-Matching is Invert Session or Negate SL.

  - ### Method Detail

    - #### values

          public static Mask6cAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Mask6cAction c : Mask6cAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Mask6cAction valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Description copied from interface: `IEnumType`
      Get the enum code value
      Specified by:
        `getCode` in interface `IEnumType`
      Returns:
        The code value

    - #### toString

          public java.lang.String toString()

      Description copied from interface: `IEnumType`
      Return the name of the enum
      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<Mask6cAction>`
      Returns:
        The name of the enum

    - #### toString

          public java.lang.String toString(Mask6cTarget target)

    - #### valueOf

          public static Mask6cAction valueOf(int code)

      Returns the enum constant of this type with the specified code.
      Parameters:
        `code` - The code to check
      Returns:
        The enum constant with the specified code

    - #### valueOfName

          public static Mask6cAction valueOfName(java.lang.String name)

      Returns the enum constant of this type with the specified name.
      Parameters:
        `name` - The name to check.
      Returns:
        The enum constant with the specified name.

    - #### names

          public static java.lang.String[] names()

      Returns an array containing the name of this enum type.
      Returns:
        An array containing the name of this enum type.